// evasion.h

#ifndef EVASION_H
#define EVASION_H

// includes
#include "attack.h"
#include "move_list.h"

// functions
extern void gen_legal_evasions(list_t *list, const board_t *board, const attack_t *attack);
extern void gen_pseudo_evasions(list_t *list, const board_t *board, const attack_t *attack);
extern bool legal_evasion_exist(const board_t *board, const attack_t *attack);

#endif // !defined EVASION_H
// end of evasion.h
