// pv.cpp

// includes
#include <cstring>
#include "move.h"

// functions

// pv_copy()
void pv_copy(mv_t dst [], const mv_t src [])
    {
    while((*dst++ = *src++) != 0)
    ;
    }

// pv_cat()
void pv_cat(mv_t dst [], const mv_t src [], int move)
    {
    *dst++ = move;

    while((*dst++ = *src++) != 0)
    ;
    }

// pv_to_string()
bool pv_to_string(const mv_t pv [], char string [], int size)
    {
    int pos;
    int move;

    // init
    if(size < 512)
        return false;
    pos = 0;

    // loop
    while((move = *pv++) != 0)
        {
        if(pos != 0)
            string[pos++] = ' ';
        move_to_string(move, &string[pos], size - pos);
        pos += strlen(&string[pos]);
        }
    string[pos] = '\0';
    return true;
    }
// end of pv.cpp
