// color.h

#ifndef COLOR_H
#define COLOR_H

// macros
#define COLOR_IS_OK(color)    (((color)&~1)==0)
#define COLOR_IS_WHITE(color) ((color)==0)
#define COLOR_IS_BLACK(color) ((color)!=0)
#define COLOR_IS(piece,color) (FLAG_IS((piece),COLOR_FLAG(color)))
#define FLAG_IS(piece,flag)     (((piece)&(flag))!=0)
#define COLOR_OPP(color)      ((color)^(0^1))
#define COLOR_FLAG(color)     ((color)+1)

#endif // !defined COLOR_H
// end of color.h
