// probe.h

#ifndef PROBE_H
#define PROBE_H

// types
typedef int (*PPROBE_EGBB) (int player, int w_king, int b_king,
                            int piece1, int square1,
                            int piece2, int square2,
                            int piece3, int square3);

typedef void (*PLOAD_EGBB) (char* path,int cache_size,int load_options);

// "constants"
#define _NOTFOUND 99999

// variables
extern int egbb_is_loaded;
extern bool use_bitbases;

// functions
extern int load_egbb_library(char *main_path, uint32 egbb_cache_size);
extern int probe_bitbases(board_t *board, int &score);
extern void bitbase_parameter();

#endif // !defined PROBE_H
// end of probe.h
