// uci.h

#ifdef _WIN32
#include <windows.h>
#else
#include <string.h>
#include <dlfcn.h>
#endif

#ifndef INTERFACE_H
#define INTERFACE_H
#define ENGINE "TogaToy"
#define VERSION "1.0"

// includes
#include "util.h"

// variables
extern bool option_log;
#ifdef _WIN32
extern CRITICAL_SECTION CS;
#else
extern pthread_mutex_t CS;
#endif

// functions
extern void start();
extern void event();
extern void book_parameter();
extern void get(char string [], int size);

#endif // !defined INTERFACE_H
// end of uci.h
